## TeplPango TeplPango — Pango utility functions |

## Functions

gchar * | tepl_pango_font_description_to_css ()

## Includes

    #include <tepl/tepl.h>

## Description

Utility functions related to the Pango library.

## Functions

### tepl_pango_font_description_to_css ()

    gchar *
    tepl_pango_font_description_to_css (const PangoFontDescription *desc);

This function will generate CSS suitable for the GTK CSS engine based on the properties of the PangoFontDescription.

The returned string contains only the CSS declarations, it is not a complete CSS rule set. So the selector and curly braces are not present. Each declaration, including the last one, ends with a semicolon.

See also `tepl_utils_override_font_description()` and `tepl_utils_override_font_string()`.

#### Parameters

desc | a PangoFontDescription. |

#### Returns

A newly allocated string containing the CSS describing the font description. Free with `g_free()` when no longer needed.

[transfer full]

Since: 6.0